server.port=8010
spring.application.name=master
master.snapshot.interval=120000

# Hibernate creará las tablas cada vez que arranque el servicio
spring.jpa.hibernate.ddl-auto=create
# Forzamos a Spring a esperar que JPA termine antes de inicializar
spring.jpa.defer-datasource-initialization=true
# Forzamos a que siempre se inicialicen data o esquema
spring.sql.init.mode=always

### DEPURACIÓN ###
# Consola web de H2
spring.h2.console.enabled=true
# Mostrar log de consultas por consola
spring.jpa.show-sql=false

### CONFIGURACIÓN DEL DATASOURCE ###
#spring.datasource.url=jdbc:h2:mem:masterdb
#spring.datasource.driver-class-name=org.h2.Driver
#spring.datasource.username=sa
#spring.datasource.password=
#spring.datasource.generate-unique-name=false

